const {merge} = require('webpack-merge');
const common = require('./webpack.common.js');
const path = require('path')
// const webpack = require('webpack');
// const MockWebpackPlugin = require('mock-webpack-plugin');
// const mockConfig = require('./mock/config.js');

module.exports = merge(common, {
    mode: "development",
    devtool: 'eval-source-map',
    devServer: {
        open: true,
        hot: true,
        host: '0.0.0.0',
        static: '.'
    }
});
